<?
include 'connect_sql.php';
include 'membres.php';

$id_partie = $_GET['nom_partie'];
$replay = $_GET['replay'];

if ($replay) {
	
		$ultra_verrouillage = 'true';
		$verrouiller_noir = 'false';
		$verrouiller_blanc = 'false';
		
		$joueur_blanc = 'joueur blanc';
		$elo_blanc 		= 'inconnu';
						
		$joueur_noir 	= 'joueur noir';
		$elo_noir			= 'inconnu';
		
} else {
	
			if (!$id_partie) { header('location:index.php'); exit; } 
		
			$replay = 0;

			$num = requete_sql("SELECT id_partie, id_membre_blanc, id_membre_noir FROM parties WHERE (id_partie = {$id_partie}) LIMIT 1");
					
			if (!$num[1]['id_partie']) {
						
					header('location:index.php');
			}
			
			$id_inviteur = $num[1]['id_membre_blanc'];
			$id_invite	 = $num[1]['id_membre_noir'];
			
			$pseudo	= $_COOKIE['pseudo'];
			$password = $_COOKIE['password'];
			
			$vous_etes_un_joueur = false;
			$verrouiller_noir = 'false';
			$verrouiller_blanc = 'false';
			
			if ((!$id_inviteur) || (!$id_invite)) {
			
						// si la partie n'existe plus, c'est qu'elle est périmée, donc on retourne à la page d'accueil du site
				
						header("location: index.php");
			
			} else {
				
				if ((!$pseudo) || (!$password)) {
					
							header("location: jouer_partie.php");
				
				} else {
				
						$joueur_blanc = retourner_champ_membre($id_inviteur, 'pseudo');
						$pass_blanc 	= retourner_champ_membre($id_inviteur, 'password');
						$elo_blanc 		= retourner_champ_membre($id_inviteur, 'elo');	
						$ordi_blanc		= retourner_champ_membre($id_inviteur, 'ordi');		
						
						$joueur_noir 	= retourner_champ_membre($id_invite, 'pseudo');
						$pass_noir 		= retourner_champ_membre($id_invite, 'password');
						$elo_noir			= retourner_champ_membre($id_invite, 'elo');	
						$ordi_noir		= retourner_champ_membre($id_invite, 'ordi');		
						
						if ((($pseudo == $joueur_blanc) && ($password == $pass_blanc))
						|| (($pseudo == $joueur_noir) && ($password == $pass_noir))) {
							
									// la connexion est valide car les pseudos/mot de passe sont corects...
									
									$ultra_verrouillage = 'false';
									
									// on cochera au départ les bonnes cases selon le bon tour à jouer...
									// et on fera un verrouillage sélectif qui dépendra de la couleur
									
									if ($pseudo == $joueur_blanc) {
										
												$vous_etes_un_joueur = true;
										
												$verrouiller_noir = 'true';
												$verrouiller_blanc = 'false';
												
									} else {
										
												$vous_etes_un_joueur = true;
										
												$verrouiller_noir = 'false';
												$verrouiller_blanc = 'true';
									}
						
						} else {
							
								// la connexion est invalide...
								
								$ultra_verrouillage = 'true';
						}
				}
		}
}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Language" content="fr" />
	
<title>Affichage de l'échiquier</title>

<?

function filtrer_large($chaine) {
	
		$chaine = html_entity_decode(stripslashes(strip_tags(trim($chaine))));
		$chaine = eregi_replace("[\"<>]", "",$chaine); 
	
		return $chaine;
}

function filtrer_nom_partie($chaine) {
	
		$chaine = eregi_replace("[^A-Z0-9éèêëaâäà_iîïuûüùoöô-]", "", $chaine);
		$chaine = filtrer_large($chaine);
	
		return $chaine;
}

$v1 			= $_POST['v1'];
$h1 			= $_POST['h1'];

$v2 			= $_POST['v2'];
$h2 			= $_POST['h2'];

/*
include 'faire_coup.php';
include 'echiquier_initial.php';
*/

$actu = $_POST['actu'];

$num_ligne = $_POST['num_ligne'];

if (!$num_ligne) {

	$num_ligne = 0;
}

if ($_POST['nom_partie']) {

	$nom_partie = $_POST['nom_partie'];	

} else if ($_GET['nom_partie']) {

	$nom_partie = $_GET['nom_partie'];

} else $nom_partie = 'les_coups';

$nom_partie = filtrer_nom_partie($nom_partie);

if (!$angle_echiquier)
 {

	$angle_echiquier = 'courant';
}

$taille = $_GET['taille'];

if (!$taille) { $taille = $_POST['taille']; }

$taille = round(($taille / 8)) * 8;

if (!$taille) {
	$taille = 336;
}

if (!$replay) {
	
		if ((!file_exists("parties/".$nom_partie.".txt")) || (!file_exists("parties/timer/".$nom_partie.".txt"))) {
			
				echo '<META HTTP-EQUIV="Refresh" CONTENT="0; URL=premier_init.php?&non_recurs=1&nom_partie='.$nom_partie.'">'; 
			  exit();
			  
		} else {
			
			$f=@fopen("parties/".$nom_partie.".txt","r");
		}
		
		$texte = '';
		$i = 0;
		
		while (!feof($f)) {
		 $i++;
			$texte .= fgets($f,255);
			
			if ($i == $num_ligne) {
					break;
			}
		}
		
		fclose($f);
		
		$contenu = "<? \r\n" . $texte . "\r\n ?>";

} else {
	
		$nom_partie = 'replay';
		$id_partie = 'replay';
}

/*
$ouvre=fopen("parties/".$nom_partie.".php","w"); 
fwrite($ouvre,$contenu);   
fclose($ouvre);	

include "parties/".$nom_partie.".php";

$trouver_pion = trouver_un_pion_en_derniere_ligne();
*/


if ($num_ligne) { 
	
		$info2 = 'ce mode vous permet de visualiser l\'historique des coups...<br><br>';
		
		$echiquier['mat'] = 3;	
}

$taille = 400; // on met une taille fixe multiple de 8 pour être sûr que le programme déconnera pas et pourra refaire l'échelle tout seul en javascript

?>
	
<style type="text/css">
<!--

.dragme{position:relative;}

-->
</style>

<script>
	
var nom_partie = '<? echo $nom_partie; ?>';
var num_ligne = <? echo $num_ligne; ?>;
var taille = <? echo $taille; ?>;
var echiquier = new Array();

<?

$actu = $_POST['actu'];
$mode = $_POST['mode'];
$choix = $_POST['choix'];
$volume = $_POST['volume'];

if ($vous_etes_un_joueur) {
	
		if ($verrouiller_noir == 'true') {
			
				$choix = 'e_blancs';	
		
		} else {
			
				$choix = 'e_noirs';	
		}

} else {
	
		$choix = 'e_blancs';
}

if (!$volume) { $volume = 100; }

if (!$actu) 															{ $actu = 1; }
if (!$mode) 															{ $mode = 5; }

if ($mode >= 20) 													{ $mode = 20; }
else if (($mode < 20) && ($mode >= 15))		{ $mode = 15; }
else if (($mode < 15) && ($mode >= 10))		{ $mode = 10; }
else if (($mode < 10) && ($mode >= 5))		{ $mode = 5; }
else					 														{ $mode = 1; }

if (($choix != 'e_blancs') && ($choix != 'e_noirs')) { $str_courant = 'checked'; $sens = 3; }
if ($choix == 'e_blancs') { $str_blanc = 'checked'; $sens = 1;  } else { $str_blanc = ''; }
if ($choix == 'e_noirs') { $str_noir = 'checked'; $sens = 2; } else { $str_noir = ''; }

echo "var fluidite = " . $actu . "; \r\n\r\n"; 
echo "var sens_echiquier = " . $sens . "; \r\n\r\n"; 
echo "var dernier_i1 = 0;" . "\r\n\r\n"; 
echo "var dernier_i2 = 0;" . "\r\n\r\n"; 
echo "var dernier_j1 = 0;" . "\r\n\r\n"; 
echo "var dernier_j2 = 0;" . "\r\n\r\n"; 
echo "var volume = {$volume};" . "\r\n\r\n"; 
echo "var temps_minute = {$mode}" . "\r\n\r\n"; 

echo "var joueur_blanc = '{$joueur_blanc}'; ". "\r\n\r\n"; 
echo "var elo_blanc = '{$elo_blanc}'; ". "\r\n\r\n"; 

echo "var joueur_noir = '{$joueur_noir}'; ". "\r\n\r\n"; 
echo "var elo_noir = '{$elo_noir}'; ". "\r\n\r\n"; 

echo "var ultra_verrouillage = {$ultra_verrouillage}; ". "\r\n\r\n"; 


echo "var verrouiller_noir = {$verrouiller_noir}; ". "\r\n\r\n"; 
echo "var verrouiller_blanc = {$verrouiller_blanc}; ". "\r\n\r\n"; 

echo "var replay = {$replay}; ". "\r\n\r\n"; 

echo "var ordi_blanc = {$ordi_blanc}; ". "\r\n\r\n"; 
echo "var ordi_noir = {$ordi_noir}; ". "\r\n\r\n"; 

?>
	
</script>

<?
$appel_script = <<<EOF
<script type="text/javascript" src="js/garbochess.js"></script>
<script type="text/javascript" src="js/niftyplayer.js"></script>
<script type="text/javascript" src="js/js_jso.js"></script>
<script type="text/javascript" src="js/faire_coups.js"></script>
<script src="js/urchin.js" type="text/javascript"></script>
<script type="text/javascript">
_uacct = "UA-66100-2";
urchinTracker();
</script>     

<!-- Optional meta tag; if left off, we default to only using the Flash
     renderer for Internet Explorer and using native support on other
     browsers. You can force the Flash renderer for all browsers by
     setting the META tag below to true. -->

<!-- meta name="svg.render.forceflash" content="true" / -->  <!-- disabled  -->
    
<script src="js/src/svg.js" data-path="js/src/"></script>

<link href="css/thrColLiq.css" rel="stylesheet" type="text/css" /><!--[if lte IE 7]>
<style>
.content { margin-right: -1px; } /* cette marge négative de 1px peut être placée sur n'importe quelle colonne de cette mise en page, avec le même effet correcteur. */
ul.nav a { zoom: 1; }  /* la propriété de zoom donne à IE le déclencheur hasLayout requis pour corriger les espaces blancs supplémentaires entre les liens */
</style>
<![endif]-->
<style type="text/css">
.gras {
	font-weight: bold;
	color: #006;
}
</style>
EOF;

echo $appel_script;
?>

</head>

<body onload="javascript:init_image(); ajax_toutes_les_5_secondes(); ">
	
<style type="text/css">
#progressbar1 {
position:relative;
float:bottom;
height:10px;
background-color:#FF0000;
top:0px;
width:0px;
}

#progressbar2 {
position:relative;
float:bottom;
height:10px;
background-color:#FF0000;
top:0px;
width:0px;
}
</style> 

<?

if ($i2) { 

	$url_courante = "partie.php?v1=$v1&h1=$h1&v2=$v2&h2=$h2&nom_partie=$nom_partie";
	$init_courante = "init.php?v1=$v1&h1=$h1&v2=$v2&h2=$h2&nom_partie=$nom_partie";

} else if ($i1) {

	$url_courante = "partie.php?v1=$v1&h1=$h1&nom_partie=$nom_partie";
	$init_courante = "init.php?v1=$v1&h1=$h1&nom_partie=$nom_partie";

	for ($h2 = 1; $h2 <= 8; $h2++) {

		for ($v2 = 1; $v2 <= 8; $v2++) {

			if (!mauvais_coup($h1, $v1, $h2, $v2)) {

				$bon_coup[$h2][$v2] = 1;
	
			} else {

				$bon_coup[$lettre[$h2]][$v2] = 0;
			}
		}
	}

	$v2 = 0;
	$h2 = 0;	

} else {

	$url_courante = "partie.php?nom_partie=$nom_partie";
	$init_courante = "init.php?nom_partie=$nom_partie";
}

?>

<script>
	
function url_blanc(formulaire)
{
location.href = "<? echo $url_courante; ?>&num_ligne=<? echo $num_ligne; ?>&angle_echiquier=blancs"; exit;
} 

function url_noir(formulaire)
{
location.href = "<? echo $url_courante; ?>&num_ligne=<? echo $num_ligne; ?>&angle_echiquier=noirs"; exit;
} 

function url_courant(formulaire)
{
location.href = "<? echo $url_courante; ?>&num_ligne=<? echo $num_ligne; ?>&angle_echiquier=courant"; exit;
} 
</script> 

<?

// nouvelle partie -- AFFICHAGE DE L'ECHIQUIER

$larg_taille = round($taille * (365/352));
$haut_taille = round($taille * (370/352));

$pas_ordi = ((!$ordi_blanc) && (!$ordi_noir));

if ($pas_ordi) {
				
		$menu_recommencer_ou_nul = <<<EOF
<li><a href="#" onclick="proposer_recommencer(); ">Recommencer une partie</a></li>
<li><a href="#" onclick="proposer_nul(); ">Proposer un nul</a></li>
EOF;
} 

else { 
	
		$menu_recommencer_ou_nul = <<<EOF
<li><a href="#" onclick="if (mat) { initialiser_echiquier(); premier_affichage_board = true; afficher_echiquier(true); actualiser_ajax(1); }">Recommencer une partie</a></li>
EOF;
}

if ($ultra_verrouillage == 'false') {
	
			$str_deux_verrouiller = <<<EOF
{$menu_recommencer_ou_nul}
<li><a href="#" onclick="abandonner_partie();">Abandonner la partie</a></li>
EOF;

} else {
	
			$str_deux_verrouiller = '';
}

if (!$replay)   {

		$replay_ou_enregistrer = <<<EOF
<form name="enregistrer_partie" method="post" action="download.php?id_partie={$id_partie}">
<input type="hidden" name="fichier_partie">  
<input type="button" value="Enregistrer cette partie" onclick="javascript:document.forms.enregistrer_partie.submit(); "> 
</form>
EOF;

} else {
	
		$replay_ou_enregistrer = <<<EOF
<form name="enregistrer_partie" method="post" action="javascript:ajax_toutes_les_5_secondes();">
<input type="file" name="fichier">
<input type="hidden" name="fichier_partie">  
<input type="button" value="Charger une partie" onclick="javascript:document.forms.enregistrer_partie.submit(); "> 
</form>
EOF;
}

$html2 = <<<EOF
<div class="container">
  <div class="sidebar1">
    <ul class="nav">
      <li><a href="index.php">Page d'accueil</a></li>
      {$str_deux_verrouiller}
      <li><a href="mailto:undavid@free.fr">Contactez-moi</a></li>
    </ul>
    <div id="chrono"></div>
    <div id="infos_mauvais_coup"></div><br>
    <span class="gras">Vous souhaitez avoir la vue des : </span><br><br>
<form method="post" action="partie.php?nom_partie={$id_partie}&replay={$replay}">
  <div align="center" style="font-size: 100%; border:1px navy solid;" id="chrono_blanc" align="left">
    <input id="radio_blanc" name="choix" value="e_blancs" onclick="sens_echiquier=1; afficher_status_partie(); " type="radio" />
    blancs : [ <b><font color="black">5:00</font></b> ]</div><div id="progressbar1"></div><br>
  <div align="center" style="font-size: 100%; border:1px navy solid;" id="chrono_noir" align="left">
    <input id="radio_noir" name="choix" value="e_noirs" onclick="sens_echiquier=2; afficher_status_partie(); " type="radio" />
    noirs : [ <font color="black">5:00</font> ]</div><div id="progressbar2"></div>
 <br><br>
  <input value="Rafraîchir l'échiquier" type="submit" />
  </form>
 
  <!-- end .sidebar1 --></div>
  <div class="content">
  
<div id="chargement" style="position:absolute;left:33%;top:10%;width:100%;height:100%">
<img src="images/chargement.gif"></div>
  
    <div id="damier" style="position:absolute;left:2%;top:0%;width:100%;height:100%">
<div>

 <object border="0" id='svgid' data="echiquier.php" type="image/svg+xml" width="100%" height="100%" wmode="transparent" style="overflow:hidden;" >
    <param name="src" value="echiquier.php" wmode="transparent" type="image/svg+xml">

    Ce navigateur ne connaît par le format SVG : <a href='http://getfirefox.com'>http://getfirefox.com</a> est un navigateur gratuit et connait bien ce format ! Si vous utilisez Internet Explorer < 9, vous pouvez télécharger un plugin ici : <a href='http://www.adobe.com/svg/viewer/install/main.html'>http://www.adobe.com/svg/viewer/install/main.html</a>. Merci !
  </object>
</div>
  </div>
  <div class="sidebar2">
    <div id="apdiv" style="overflow:auto; height:70%; width=100%" align="left">
      <div id="liste_coups"></div>
      </div>

		<br>
    {$replay_ou_enregistrer}
     <br>
     	<div id="transformation_des_pieces"></div>
       <div id="infos_partie"><font color="green"><b>Les noirs ont gagné la partie car les blancs ont épuisé leur temps de jeu !</b></font></div>
      <div id="lecteur_mp3"><p>
  <!-- Lecteur Mp3 - DEBUT --><br />
  <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="cab/flash.cab#version=6,0,0,0" id="niftyPlayer1" height="50px" width="170px" align="left">
    <param name="movie" value="swf/player.swf?file=sons/mat_noir.mp3&amp;as=0" />
    <param name="quality" value="high" />
    <param name="bgcolor" value="#FFFFFF" />
    <embed src="swf/player.swf" quality="high" bgcolor="#FFFFFF" name="niftyPlayer1" type="application/x-shockwave-flash" swliveconnect="true" pluginspage="http://www.macromedia.com/go/getflashplayer" height="50px" width="170px" align="left"> </embed>
</object>
</p>
</div> 
    <!-- end .sidebar2 --></div>
  <!-- end .container --></div>

EOF;

echo $html2;
?>

<script type="text/javascript"> 
<?
//<input type="button" value="Vider l'échiquier" onclick="afficher_zero_piece()" />
//<input type="button" value="Actualiser l'echiquier" onclick="afficher_echiquier()" />

if ($sens == 1) { echo "document.getElementById('radio_blanc').checked='true'; \r\n\r\n"; }
else if ($sens == 2) { echo "document.getElementById('radio_noir').checked='true'; \r\n\r\n"; }
else { echo "document.getElementById('radio_tour').checked='true'; \r\n\r\n"; }
?>
</script>
<br>
</body>
</html>
